> ## Documentation Index
> Fetch the complete documentation index at: https://docs.become1.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Flex Tax Rule Templates



## OpenAPI

````yaml get /api/v2/flex/tax-rule-templates
openapi: 3.0.0
info:
  title: become.1 API
  description: become.1 API
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/v2/flex/tax-rule-templates:
    get:
      operationId: ApiV2FlexTaxRuleTemplateController_getFlexTaxRuleTemplates
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FlexTaxRuleTemplateOutputDto'
      security:
        - bearer: []
components:
  schemas:
    FlexTaxRuleTemplateOutputDto:
      type: object
      properties:
        id:
          type: string
        companyIds:
          type: array
          items:
            type: string
        name:
          type: string
        rules:
          items:
            type: array
          type: array
        taxAffiliations:
          type: array
          items:
            type: string
            enum:
              - AT
              - BE
              - CH
              - DE
              - ES
              - FR
              - GB
              - LU
              - NL
              - RO
      required:
        - id
        - companyIds
        - name
        - rules
        - taxAffiliations
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````